import request from '@/utils/request'

// 查询物资检查记录--分页
export function listChangeRecord(query) {
  return request({
    url: '/iscs/change/getIsMaterialsChangeRecordPage',
    method: 'get',
    params: query
  })
}

// 新增物资检查记录
export function addChangeRecord(data) {
  return request({
    url: '/iscs/change/insertIsMaterialsChangeRecord',
    method: 'post',
    data: data
  })
}

// 修改物资检查记录
export function updateChangeRecord(data) {
  return request({
    url: '/iscs/check/updateIsMaterialsChangeRecord',
    method: 'post',
    data: data
  })
}

// 删除物资检查记录
export function deleteChangeRecord(data) {
  return request({
    url: '/iscs/change/deleteIsMaterialsChangeRecordByChangeIds?changeIds=' + data,
    method: 'post',
  })
}

// 获取检查记录详细信息
export function selectChangeRecordById(query) {
  return request({
    url: '/iscs/change/selectIsMaterialsChangeRecordById?changeId=' + query,
    method: 'get',
  })
}


